Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707948 - xfce-extra/xfce4-cpufreq-plugin-1.2.2: stabilisation (was: fails to build with -fno-common or gcc-10)
Summary: xfce-extra/xfce4-cpufreq-plugin-1.2.2: stabilisation (was: fails to build wit...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: XFCE Team
URL: https://gitlab.xfce.org/panel-plugins...
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-02-02 17:28 UTC by Toralf Förster
Modified: 2021-01-05 21:59 UTC (History)
2 users (show)

See Also:
Package list:
xfce-extra/xfce4-cpufreq-plugin-1.2.2
Runtime testing required: ---
nattka: sanity-check+


Attachments
emerge-info.txt (emerge-info.txt,16.40 KB, text/plain)
2020-02-02 17:28 UTC, Toralf Förster
no flags Details
emerge-history.txt (emerge-history.txt,164.44 KB, text/plain)
2020-02-02 17:28 UTC, Toralf Förster
no flags Details
environment (environment,87.12 KB, text/plain)
2020-02-02 17:28 UTC, Toralf Förster
no flags Details
etc.portage.tbz2 (etc.portage.tbz2,13.64 KB, application/x-bzip)
2020-02-02 17:28 UTC, Toralf Förster
no flags Details
logs.tbz2 (logs.tbz2,9.92 KB, application/x-bzip)
2020-02-02 17:28 UTC, Toralf Förster
no flags Details
temp.tbz2 (temp.tbz2,24.34 KB, application/x-bzip)
2020-02-02 17:28 UTC, Toralf Förster
no flags Details
xfce-extra:xfce4-cpufreq-plugin-1.2.1:20200202-165338.log (xfce-extra:xfce4-cpufreq-plugin-1.2.1:20200202-165338.log,42.61 KB, text/plain)
2020-02-02 17:28 UTC, Toralf Förster
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-02 17:28:31 UTC
libtool: link: echo "{ global:" > .libs/libcpufreq.ver
libtool: link:  cat .libs/libcpufreq.exp | sed -e "s/\(.*\)/\1;/" >> .libs/libcpufreq.ver
libtool: link:  echo "local: *; };" >> .libs/libcpufreq.ver
libtool: link:  x86_64-pc-linux-gnu-gcc -shared  -fPIC -DPIC  .libs/libcpufreq_la-xfce4-cpufreq-plugin.o .libs/libcpufreq_la-xfce4-cpufreq-linux-procfs.o .libs/libcpufreq_la-xfce4-cpufreq-linux-pstate.o .libs/libcpufreq_la-xfce4-cpufreq-linux-sysfs.o .libs/libcpufreq_la-xfce4-cpufreq-linux.o .libs/libcpufreq_la-xfce4-cpufreq-configure.o .libs/libcpufreq_la-xfce4-cpufreq-overview.o .libs/libcpufreq_la-xfce4-cpufreq-utils.o   -lxfce4panel-2.0 -lgmodule-2.0 -lxfce4ui-2 -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lxfce4util -lglib-2.0  -pthread -pthread -O2 -march=native -Wl,-O1 -Wl,--as-needed -Wl,--export-dynamic -pthread   -pthread -Wl,-soname -Wl,libcpufreq.so -Wl,-version-script -Wl,.libs/libcpufreq.ver -o .libs/libcpufreq.so
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/libcpufreq_la-xfce4-cpufreq-linux-procfs.o:(.bss+0x0): multiple definition of `cpuFreq'; .libs/libcpufreq_la-xfce4-cpufreq-plugin.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: .libs/libcpufreq_la-xfce4-cpufreq-linux-pstate.o:(.bss+0x0): multiple definition of `cpuFreq'; .libs/libcpufreq_la-xfce4-cpufreq-plugin.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-20200129-211601

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.41.0 *
java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 3.15.0 [icedtea-8]
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-8 
  [2]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 02 Feb 2020 15:28:00 +0000

emerge -qpvO xfce-extra/xfce4-cpufreq-plugin
[ebuild  N    ] xfce-extra/xfce4-cpufreq-plugin-1.2.1
Comment 1 Toralf Förster gentoo-dev 2020-02-02 17:28:34 UTC
Created attachment 611106 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-02 17:28:37 UTC
Created attachment 611108 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-02 17:28:40 UTC
Created attachment 611110 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-02 17:28:43 UTC
Created attachment 611112 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-02 17:28:46 UTC
Created attachment 611114 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-02 17:28:49 UTC
Created attachment 611116 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-02-02 17:28:52 UTC
Created attachment 611118 [details]
xfce-extra:xfce4-cpufreq-plugin-1.2.1:20200202-165338.log
Comment 8 Sam James archtester gentoo-dev Security 2020-10-31 06:26:36 UTC
Fixed in 1.2.2.
Comment 9 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-10-31 08:28:55 UTC
The changes are trivial, so let's go for it.
Comment 10 Thomas Deutschmann gentoo-dev Security 2020-10-31 16:42:28 UTC
x86 stable
Comment 11 Sergei Trofimovich gentoo-dev 2020-10-31 21:00:25 UTC
ppc/ppc64 stable
Comment 12 Sam James archtester gentoo-dev Security 2020-11-02 08:18:05 UTC
amd64 done

all arches done
Comment 13 Larry the Git Cow gentoo-dev 2021-01-05 21:59:07 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d77b88fdcff1d17d987628e956777a728712839b

commit d77b88fdcff1d17d987628e956777a728712839b
Author:     Andreas K. Huettel <dilfridge@gentoo.org>
AuthorDate: 2021-01-05 21:43:48 +0000
Commit:     Andreas K. Huettel <dilfridge@gentoo.org>
CommitDate: 2021-01-05 21:58:50 +0000

    xfce-extra/xfce4-cpufreq-plugin: Remove old
    
    Bug: https://bugs.gentoo.org/707948
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>

 xfce-extra/xfce4-cpufreq-plugin/Manifest           |  1 -
 .../xfce4-cpufreq-plugin-1.2.1.ebuild              | 37 ----------------------
 2 files changed, 38 deletions(-)